---
- name: Elastic rules
  ansible.posix.firewalld:
    rich_rule: "{{ item }}"
    permanent: true
    immediate: true
    state: enabled
    zone: "{{ firewall_zone }}"
  loop: "{{ firewall_elastic }}"
  when: groups.ElasticCloudEnterprise is defined and ansible_hostname in groups.ElasticCloudEnterprise

- name: Kibana rules
  ansible.posix.firewalld:
    rich_rule: "{{ item }}"
    permanent: true
    immediate: true
    state: enabled
    zone: "{{ firewall_zone }}"
  loop: "{{ firewall_kibana }}"
  when: groups.Kibana is defined and ansible_hostname in groups.Kibana
